local _
local ADDON, P = ...
CSP = LibStub("AceAddon-3.0"):NewAddon(ADDON,"AceEvent-3.0","AceTimer-3.0","AceConsole-3.0")
function CSP:Verbose(msg)
  if self.DB.verbose then print(("|cff7f7f7f[%s]|r [|cff00ffff%s|r]"):format(date("%H:%M"),ADDON),msg) end
end
function CSP:OnInitialize() -- app initialize
  self:InitEvents() -- register events
  self:ProfileLoad() -- initialize AceDB
  self:OptionsLoad() -- initialize AceConfig
end
function CSP:BackTimer()
  if InCombatLockdown() then return end -- only out-of combat is safe to simulate clicks
  for i = 1, 10 do
    local frame = _G["StaticPopup" .. i]
    if frame and frame.IsShown and frame:IsShown() and frame.which and self.DB.popups[frame.which] then
      local button = _G["StaticPopup" .. i .. "Button1"]
      local editbox = _G["StaticPopup" .. i .. "EditBox"]
      if editbox and editbox.IsShown and editbox:IsShown() then -- fill in confirm edit box
        editbox:SetText(DELETE_ITEM_CONFIRM_STRING)
      end
      if button and button.Click then
        button:Click("LeftButton")
        self:Verbose(frame.which)
      end
    end
  end
end
